#
# spec file for package poppler-data
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           poppler-data
Version:        0.4.12
Release:        150600.1.2
Summary:        Encoding Files for use with libpoppler
License:        BSD-3-Clause AND GPL-2.0-only AND GPL-3.0-only
Group:          System/Libraries
URL:            https://poppler.freedesktop.org/
Source:         https://poppler.freedesktop.org/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This package consists of encoding files for use with poppler. The
encoding files are optional and poppler will automatically read them if
they are present. When installed, the encoding files enables poppler
to correctly render CJK and Cyrrilic properly.

%package        devel
Summary:        Developer files for %{name}
BuildRequires:  pkgconfig
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the pkgconfig file for %{name}.

%prep
%setup -q

%build

%install
%make_install prefix=%{_prefix}

%files
%license COPYING*
%doc README
%{_datadir}/poppler

%files devel
%{_datadir}/pkgconfig/poppler-data.pc

%changelog
* Tue Mar  7 2023 dmueller@suse.com
- update to 0.4.12:
  * updated files from the adobe-type-tools repositories
* Wed Nov 10 2021 idesmi@protonmail.com
- Update to 0.4.11:
  * Remove extraneous lines in Adobe-Korea1-H-Mac
* Mon Jan  4 2021 info@paolostivanin.com
- Update to 0.4.10 (no changelog)
* Mon Jul  9 2018 luc14n0@linuxmail.org
- Fall back to use `make %%{?_smp_mflags}` instead of %%make_build to
  fix build for Leap 42.3.
* Thu Jul  5 2018 ecsos@opensuse.org
- Update to version 0.4.9:
  + Update cmap and mapping resources from Adobe.
* Sat Aug 26 2017 zaitor@opensuse.org
- Update to version 0.4.8:
  + Update files from xpdf data files.
  + Update mapping resources from Adobe.
  + Update cmap resources from Adobe.
  + cmake: Install the .pc file.
- Run spec-cleaner, modernize spec.
* Tue Sep  9 2014 zaitor@opensuse.org
- Update to version 0.4.7:
  + Add a pkg-config file.
- Place pkg-config file in main package, as there is no need for a
  seperate devel-package.
- Add pkg-config BuildRequires in order to get a pkgconfig()
  Provides.
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Fri Oct 19 2012 zaitor@opensuse.org
- Update to version 0.4.6:
  + New data by Adobe.
* Tue Sep 13 2011 vuntz@opensuse.org
- Fix description to not mention anything about licensing: the text
  there explains why the data is not shipped with poppler, and is
  not really appropriate for a description. And it was wrong too.
  Fix bnc#717439.
- Ship COPYING.adobe and COPYING.gpl2, since they explain the
  license of the various files.
* Sat Sep 10 2011 vuntz@opensuse.org
- Update to version 0.4.5:
  + New data from Adobe.
  + New data from xpdf.
* Wed Dec  8 2010 vuntz@opensuse.org
- Update to version 0.4.4:
  + Sync with new Adobe release.
* Thu Jul 15 2010 dimstar@opensuse.org
- Update to version 0.4.3:
  + Update cmap files
  + Build system fixes.
* Thu Dec 10 2009 vuntz@opensuse.org
- Update to version 0.4.0:
  + Add new files released with a free license by Adobe. See
  http://opensource.adobe.com/wiki/display/pdfmapping/Mapping+Resources+for+PDF
* Tue Dec  1 2009 vuntz@opensuse.org
- Update to version 0.3.1:
  + Update files from http://download.macromedia.com/
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 0.3.0:
  + Update files with adobe free cmaps
  + Clarify licensing
- The license is now BSD 3-clause for some files and GPLv2 for some
  other files.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 0.2.1:
  + fix Makefile for Adobe-Japan2
  + install cidToUnicode/Adobe-Japan2
  + Upload Adobe-Japan2 cidToUnicode
* Thu Apr  3 2008 sbrabec@suse.cz
- New SuSE package for use with poppler.
